<title>Comprobante de Pago</title><?php 
include("../abre_conexion.php");
require "conversor.php";
$fecha=$fecha[6].$fecha[7].$fecha[8].$fecha[9]."-".$fecha[3].$fecha[4]."-".$fecha[0].$fecha[1];
$uf=$uf[0].$uf[1].$uf[3].$uf[4].$uf[5].".".$uf[7].$uf[8];
$sql="SELECT MAX(recibo) AS recibo FROM g_movimientos";
$cons = mysql_query($sql,$enlace);
$cont=0;
$recibo=0;
while( mysql_fetch_object ($cons) )
{	
$recibo	= mysql_result($cons, $cont, "recibo");
$cont=$cont+1;
}
$recibo=$recibo+1;
$esql = "INSERT INTO g_movimientos (rut_cliente, promesa, tipo, forma_pago, valor, fecha, descripcion, uf, recibo) VALUES ('$id', $promesa, 'H', $forma, $cantidad, '$fecha', '$descripcion', $uf, $recibo)";
$consulta = mysql_query($esql,$enlace);
$sql="SELECT * FROM g_clientes WHERE rut='$id'";
$cons = mysql_query($sql,$enlace);
$cont=0;
while( mysql_fetch_object ($cons) )
{	
$nombre		= mysql_result($cons, $cont, "nombres");
$paterno	= mysql_result($cons, $cont, "ap_paterno");
$materno	= mysql_result($cons, $cont, "ap_materno");
}
$sql="SELECT em.nombre AS empresa, em.rut AS rut_empresa, em.direccion AS direccion_empresa, em.ciudad AS ciudad_empresa, em.logo AS logo, p.nombre AS producto, e.numero_producto AS numero, pro.promesa AS promesa, proy.nombre AS proyecto, proy.ciudad AS ciudad_proyecto FROM g_proyecto AS proy, g_promesa_detalle AS pd, g_existencia AS e, g_empresa AS em, g_producto AS p, g_promesa AS pro WHERE pd.promesa=$promesa AND pro.id=pd.promesa AND (pd.producto=1 OR pd.producto=4) AND pd.existencia=e.id AND e.empresa=em.id AND p.id=e.producto AND e.proyecto=proy.id";
$cons = mysql_query($sql,$enlace);
$cont=0;
while( mysql_fetch_object ($cons) )
{	
$empresa		= mysql_result($cons, $cont, "empresa");
$proyecto		= mysql_result($cons, $cont, "proyecto");
$rut_empresa	= mysql_result($cons, $cont, "rut_empresa");
$direccion		= mysql_result($cons, $cont, "direccion_empresa");
$ciudad			= mysql_result($cons, $cont, "ciudad_empresa");
$logo			= mysql_result($cons, $cont, "logo");
$producto		= mysql_result($cons, $cont, "producto");
$numero			= mysql_result($cons, $cont, "numero");
$num_pro		= mysql_result($cons, $cont, "promesa");
$ciudad_pro		= mysql_result($cons, $cont, "ciudad_proyecto");
}
?>
<style type="text/css">
<!--
.botones { font-family: Tahoma;
 font-size: 10px;
 font-style: normal;
 font-weight: bold;
}
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
-->
</style>
<div align="center">
  <form id="form1" name="form1" method="post" action="">
    <input name="imprimir" type="button" class="botones" id="imprimir" onclick="imprimir_formulario();" value="Imprimir" />
    <input name="salir" type="button" class="botones" id="salir" value="Salir" onclick="cerrar()"/>

  </form>
  <table width="90%" border="0">
    <tr>
      <th width="10%" scope="col"><div align="left"><img src="../mant_empresa/Logos/<?=$logo;?>" width="100" height="100" /></div></th>
      <th width="90%" scope="col"><div align="left">
        <table width="90%" border="0">
          <tr>
            <th scope="col"><div align="left">
              <?=$empresa;?>
            </div></th>
          </tr>
          <tr>
            <td><div align="left">
              <?=$rut_empresa;?>
            </div></td>
          </tr>
          <tr>
            <td><div align="left">
              <?=$direccion;?>
            </div></td>
          </tr>
          <tr>
            <td><div align="left">
              <?=$ciudad;?>
            </div></td>
          </tr>
        </table>
      </div></th>
    </tr>
  </table>  
  <table width="90%" border="0">
    <tr>
      <th scope="col">&nbsp;</th>
      <th scope="col">&nbsp;</th>
      <th scope="col">&nbsp;</th>
    </tr>
    <tr>
      <td><div align="center"></div></td>
      <td><div align="center"><strong>RECIBO N&ordm;
          <?=$recibo;?>
      </strong></div></td>
      <td><div align="right"></div></td>
    </tr>
  </table>
  <table width="90%" border="0">
    <tr>
      <th scope="col"><div align="left">
        <?=date("d-m-Y");?>
      </div></th>
    </tr>
	<tr>
      <th scope="col"><div align="left">&nbsp;
      </div></th>
    </tr>
    <tr>
      <td><div align="left">Del Sr(a) 
          <?=$nombre." ".$paterno." ".$materno.".";?>
      </div></td>
    </tr>
	<?
	$sql="SELECT * FROM g_financiamiento WHERE id=$forma";
	$cons = mysql_query($sql,$enlace);
	$cont=0;
	while( mysql_fetch_object ($cons) )
	{	
		$financiamiento		= mysql_result($cons, $cont, "nombre");
	}
	?>
    <tr>
      <td><div align="left">Por concepto de <?=$financiamiento;?> a la promesa N&ordm; 
          <?=$num_pro;?> 
      que corresponde a:</div></td>
    </tr>
	<tr>
      <td><div align="left">&nbsp;
      </div></td>
    </tr>
    <tr>
      <td><div align="left">- 
          <?=$producto." Nš ".$numero;?>
      </div></td>
    </tr>
	<?
	$sql="SELECT p.nombre AS producto, e.numero_producto AS numero FROM g_promesa_detalle AS pd, g_bod_estaciona AS e, g_producto AS p WHERE pd.promesa=$promesa AND (pd.producto=2 OR pd.producto=3) AND pd.existencia=e.id AND p.id=e.producto";
	$cons = mysql_query($sql,$enlace);
	$cont=0;
	while( mysql_fetch_object ($cons) )
	{	
		$producto		= mysql_result($cons, $cont, "producto");
		$numero			= mysql_result($cons, $cont, "numero");
	?>
	<tr>
      <td><div align="left">- <?=$producto." Nš ".$numero;?></div></td>
    </tr>
	<?
		$cont=$cont+1;
	}
	?>   
	
	<tr>
      <td><div align="left">&nbsp;</div></td>
    </tr>
	<tr>
      <td><div align="left">Del proyecto <?=$proyecto;?> de la ciudad de <?=$ciudad_pro;?></div></td>
    </tr>
	<tr>
      <td><div align="left">&nbsp;</div></td>
    </tr>
	<?
	$sql="SELECT * FROM g_financiamiento WHERE id=$forma";
	$cons = mysql_query($sql,$enlace);
	$cont=0;
	while( mysql_fetch_object ($cons) )
	{	
		$financiamiento		= mysql_result($cons, $cont, "nombre");
	}
	?>
	<tr>
      <td><div align="left">
	  <?
	  $uf_letras="";
	  $uf_letras=convertir((int)$cantidad);
		 $n=$cantidad;
		 $r=($n-intval($n))*100;
		  if($r!=0)
		   { 
		   $r=floor($r);
		   $uf_letras=$uf_letras." COMA ".convertir($r);
		   }
	  $pesos_letras="";
	  $pesos_letras=convertir((int)$cantidad*$uf);
	  echo "La cantidad de UF ".number_format($cantidad,2,',','.')." (".$uf_letras."UNIDADES DE FOMENTO) equivalentes a $ ".number_format($cantidad*$uf,0,',','.')." (".$pesos_letras." PESOS) pagado con ".$descripcion;
	  ?>
	  </div></td>
    </tr>
  </table>
</div>
<script language="Javascript">
function imprimir_formulario(){
document.form1.imprimir.style.visibility="hidden";
document.form1.salir.style.visibility="hidden";
window.print();
document.form1.imprimir.style.visibility="visible";
document.form1.salir.style.visibility="visible";
};

function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
</script>